Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167729 - [67cat] org.apache.lucene.search.BooleanQuery$TooManyClauses: maxClauseCount is set to 1024
[67cat] org.apache.lucene.search.BooleanQuery$TooManyClauses: maxClauseCount ...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 23:17 UTC by rohitbrai
Modified: 2009-07-20 13:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.62 KB, text/plain)
2009-06-26 23:18 UTC, rohitbrai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rohitbrai 2009-06-26 23:17:55 UTC
Build: NetBeans IDE 6.7 RC3 (Build 200906142201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows Vista, 6.0, amd64

User Comments:
lorien: In Maven Repository Browser, I am trying to open group "org.springframework" on central server. I get the message "loading..." (in german) and this exception.

GUEST: I was using the integrated Maven Repository Browser, checking central repository for maven-jetty-plugin artifactory.

xylifyx: loaded maven repo and expanded node

GUEST: Extend remote repository folder in Maven repositories Window



Stacktrace: 
org.apache.lucene.search.BooleanQuery$TooManyClauses: maxClauseCount is set to 1024
        at org.apache.lucene.search.BooleanQuery.add(BooleanQuery.java:165)
        at org.apache.lucene.search.BooleanQuery.add(BooleanQuery.java:156)
        at org.apache.lucene.search.PrefixQuery.rewrite(PrefixQuery.java:54)
        at org.apache.lucene.search.BooleanQuery.rewrite(BooleanQuery.java:370)
        at org.apache.lucene.search.IndexSearcher.rewrite(IndexSearcher.java:151)
        at org.apache.lucene.search.Query.weight(Query.java:94)
Comment 1 rohitbrai 2009-06-26 23:18:04 UTC
Created attachment 84069 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-06-26 23:18:21 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=151566
Comment 3 David Simonek 2009-07-10 09:15:17 UTC
fixed:
b7319d788f66
Comment 4 David Simonek 2009-07-10 09:30:23 UTC
additional part of the fix:
f9e3344730c7
Comment 5 Quality Engineering 2009-07-10 17:34:05 UTC
Integrated into 'main-golden', will be available in build *200907101400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b7319d788f66
User: Dafe Simonek <dsimonek@netbeans.org>
Log: #167729: added handling of lucene BooleanQuery max clause count to prevent MaxClauseExceptions
Comment 6 Jaroslav Pospisil 2009-07-13 09:09:10 UTC
v.
Comment 7 pgebauer 2009-07-13 17:19:11 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/541ccff28917


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo